##
##  surl.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_base  0.7.1
%define       V_full  0.7.1.1

#   package information
Name:         surl
Summary:      Shorten UR
URL:          https://launchpad.net/surl
Vendor:       Savvas Radevic, Ahmed El-Mahdawy
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      GPl
Version:      %{V_full}
Release:      20120309

#   list of sources
Source0:      https://launchpad.net/surl/trunk/%{V_base}/+download/surl-%{V_full}.tar.bz2

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  python, python-setup
PreReq:       python

%description
    surl is a URL shortening command line application that supports
    various sites. It supports stdin or filename input. It grabs the
    URLs, converts them, and returns the same text that was used in
    the input. It is known to work with a wealth of services, such as
    bit.ly, goo.gl, tinyurl.com and others.

%track
    prog surl = {
        version   = %{version}
        url       = https://launchpad.net/surl
        regex     = surl-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q

%build

%install
    %{l_prefix}/bin/python setup.py install --root=$RPM_BUILD_ROOT --prefix=%{l_prefix}
    mv $RPM_BUILD_ROOT%{l_prefix}/share/man $RPM_BUILD_ROOT%{l_prefix}/man
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

